Package com.sun.grid.util.expect

## Class ExpectPasswordHandler

- java.lang.Object
- - com.sun.grid.util.expect.ExpectPasswordHandler

- All Implemented Interfaces:
    `ExpectHandler`

      public class ExpectPasswordHandler
      extends java.lang.Object
      implements ExpectHandler

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExpectPasswordHandler​(java.lang.String question, char[] password)` | Creates a new instance of ExpectStringHandler

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handle​(Expect expect, ExpectBuffer buffer)` | Handle new output of the process and be send a reply.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpectPasswordHandler

          public ExpectPasswordHandler​(java.lang.String question,
                                       char[] password)

      Creates a new instance of ExpectStringHandler

  - ### Method Detail

    - #### handle

          public void handle​(Expect expect,
                             ExpectBuffer buffer)
                      throws java.io.IOException

      Description copied from interface: `ExpectHandler`
      Handle new output of the process and be send a reply.
      Specified by:
        `handle` in interface `ExpectHandler`
      Parameters:
        `expect` - the expect object which calls this handler
        `buffer` - the buffer with the output of the process
      Throws:
        `java.io.IOException`
      See Also:
        `Expect.print(java.lang.String)`